<?php
define('NTLCMS', 1);
$module = 'showtask';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница просмотра задания - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Просмотр задания</b></div>';
$job = isset($_GET['show']) ? filter_var($_GET['show'], FILTER_SANITIZE_NUMBER_INT) : '0';
$sql = DB :: run() -> query("select * from `jobs` where `id` = '".$job."' and `accept` = '1' and `done` = '0'");
$task = DB :: run() -> querySingle("select count(`id`) from `jobs` where `id` = '".$job."' and `accept` = '1' and `done` = '0'");
if ($task == 0){
echo '<div class="error"><center><i class="fa fa-close fa-fw"></i> Такого задания не существует!</center></div>';
} else {
$arr = $sql -> fetch(PDO::FETCH_OBJ);
if (isset($_POST['done'])){
$sql = DB :: run() -> query("select * from `jobs_use` where `user` = '$ulogin' and `pay` = '0'");
$tasks = DB :: run() -> querySingle("select * from `jobs_use` where `user` = '$ulogin' and `pay` = '0'");
if ($arr -> user != $ulogin){
if ($tasks == 0){
$dones = DB :: run() -> querySingle("select * from `jobs_use` where `id_job` = '$job'");
$row = DB :: run() -> query("select (`period`) from `jobs` where `id` = '$job'") -> fetch(PDO::FETCH_OBJ);
$author = $arr -> user;
if (($dones == 0 && $row -> period == 0) || ($row -> period == 1)){
if (strlen($_POST['done']) > 4 && strlen($_POST['done']) <= 1024){
$done = isset($_POST['done']) ? filter_var($_POST['done'], FILTER_SANITIZE_STRING) : false;	
echo '<div class="post"><center><i class="fa fa-check-circle fa-fw"></i> Ваша заявка успешно отправлена!</center></div>';
DB :: run() -> query("INSERT INTO `jobs_use`(`id_job`, `user`, `author`, `message`, `pay`) VALUES ('$job', '$ulogin', '$author', '$done', '0')");
} else echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Текст подтверждения выполнения указан неверно!</center></div>';
} else echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Данное задание уже было выполнено!</center></div>';
} else echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Вы уже подавали заявку на выполнение! Дождитесь ее рассмотрения!</center></div>';
} else echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Это ваша заявка!</center></div>';
}
$cat = DB :: run() -> query("select (`name`) from `jobs_category` where `id` = '".$arr -> category."'") -> fetch(PDO::FETCH_OBJ);
echo '<div class="menu">';
echo '#'.$arr -> id.'. <b>'.$arr -> name.'</b><br/>
<b><i class="fa fa-angle-right fa-fw"></i> Автор задания:</b> '.login($arr -> user, 1).'<br/>
<b><i class="fa fa-angle-right fa-fw"></i> Оплата задания:</b> '.coins ($arr -> pay).' <br/>
<b><i class="fa fa-angle-right fa-fw"></i> Категория:</b> '.$cat -> name.'<br/>
<b><i class="fa fa-angle-right fa-fw"></i> Описание:</b> '.$arr -> about.'<br/>
<b><i class="fa fa-angle-right fa-fw"></i> Информация для выполнения:</b> '.$arr -> info.'<br/>
<b><i class="fa fa-angle-right fa-fw"></i> Выполнение:</b> <a href="http://'.$arr -> url.'" target="_blank">Приступить к выполнению</a><br/>
<form action="" method="post"><center>
<textarea name="done" style="width: 100%; height: 100px;"></textarea>
<input type="submit" class="btn btn-success btn-sm" value="Подтвердить выполнение"/></center></form>';
echo '</div>';
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/tasks">Задания пользователей</a></div>';
include ('../system/foot.php');
?>